/*****************************************************************************
 *                        Web3d.org Copyright (c) 2001
 *                               Java Source
 *
 * This source is licensed under the GNU LGPL v2.1
 * Please read http://www.gnu.org/copyleft/lgpl.html for more information
 *
 * This software comes with the standard NO WARRANTY disclaimer for any
 * purpose. Use it at your own risk. If there's a problem you get to fix it.
 *
 ****************************************************************************/

package org.j3d.aviatrix3d;

// External imports
// None

// Local imports
// None

/**
 * Constants used to define render operations as the output of the sort stage.
 * <p>
 *
 * @author Justin Couch
 * @version $Revision: 1.3 $
 */
public interface RenderOp
{
    /** The unknown/general request to push state onto the stack */
    public static final int START_RENDER = 1;

    /** The unknown/general request to pop state off the stack */
    public static final int STOP_RENDER = 2;


    /** The node starting is geometry push it onto the stack */
    public static final int START_GEOM = 3;

    /** The node finishing is geometry push it onto the stack */
    public static final int STOP_GEOM = 4;

    /** The node should push its material state onto the stack */
    public static final int START_MATERIAL = 5;

    /** The node should remove its material state from the stack */
    public static final int STOP_MATERIAL = 6;

    /** The node should push its texture state onto the stack */
    public static final int START_TEXTURE = 7;

    /** The node should remove its texture state from the stack */
    public static final int STOP_TEXTURE = 8;

    /** A light should push its state onto the stack */
    public static final int START_LIGHT = 9;

    /** A light is removing its state from the stack */
    public static final int STOP_LIGHT = 10;

    /** Start of a collection of transparent geometry */
    public static final int START_TRANSPARENT = 11;

    /** End of a collection of transparent geometry */
    public static final int STOP_TRANSPARENT = 12;

    /** Start of a collection of objects that are used for shadows */
    public static final int START_SHADOW = 13;

    /** End of a collection of objects that are used for shadows */
    public static final int STOP_SHADOW = 14;

    /** Start of a collection of objects that are shadow generators */
    public static final int START_SHADOW_GENERATOR = 15;

    /** End of a collection of objects that are shadow generators */
    public static final int STOP_SHADOW_GENERATOR = 16;
}